From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/gegl/
Date: Thu, 25 Jun 2020 08:08:21 +0000 (UTC) [thread overview]
Message-ID: <1593072461.7c4ff77d046df3b24efdf239f543c1a0d6014341.juippis@gentoo> (raw)
commit: 7c4ff77d046df3b24efdf239f543c1a0d6014341
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sun May 24 23:54:22 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jun 25 08:07:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c4ff77d
media-libs/gegl: 0.3.34 migrate to EAPI-7
Migrate to EAPI-7 with removing of use of ltprune.eclass
and with sorting econf options.
Call of function "prune_libtool_files" is replaced with
call of "find" expression.
Removing "9999" version conditions.
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-libs/gegl/gegl-0.3.34-r1.ebuild | 171 ++++++++++++++++++++++++++++++++++
1 file changed, 171 insertions(+)
diff --git a/media-libs/gegl/gegl-0.3.34-r1.ebuild b/media-libs/gegl/gegl-0.3.34-r1.ebuild
new file mode 100644
index 00000000000..9a69225a627
--- /dev/null
+++ b/media-libs/gegl/gegl-0.3.34-r1.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+# vala and introspection support is broken, bug #468208
+VALA_USE_DEPEND=vapigen
+
+inherit gnome2-utils eutils autotools python-any-r1 vala
+
+SRC_URI="http://download.gimp.org/pub/${PN}/$(ver_cut 1-2)/${P}.tar.bz2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+
+DESCRIPTION="A graph based image processing framework"
+HOMEPAGE="http://www.gegl.org/"
+
+LICENSE="|| ( GPL-3 LGPL-3 )"
+SLOT="0.3"
+
+IUSE="cairo cpu_flags_x86_mmx cpu_flags_x86_sse debug ffmpeg +introspection lcms lensfun openexr raw sdl svg test tiff umfpack vala v4l webp"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ svg? ( cairo )
+ test? ( introspection )
+ vala? ( introspection )
+"
+
+RESTRICT="!test? ( test )"
+
+# NOTE: Even current libav 11.4 does not have AV_CODEC_CAP_VARIABLE_FRAME_SIZE
+# so there is no chance to support libav right now (Gentoo bug #567638)
+# If it returns, please check prior GEGL ebuilds for how libav was integrated. Thanks!
+RDEPEND="
+ >=dev-libs/glib-2.44:2
+ dev-libs/json-glib
+ >=media-libs/babl-0.1.66
+ sys-libs/zlib
+ >=x11-libs/gdk-pixbuf-2.32:2
+ x11-libs/pango
+
+ cairo? ( >=x11-libs/cairo-1.12.2 )
+ ffmpeg? ( >=media-video/ffmpeg-2.8:0= )
+ introspection? ( >=dev-libs/gobject-introspection-1.32:= )
+ virtual/jpeg:0=
+ lcms? ( >=media-libs/lcms-2.8:2 )
+ lensfun? ( >=media-libs/lensfun-0.2.5 )
+ openexr? ( >=media-libs/openexr-1.6.1:= )
+ >=media-libs/libpng-1.6.0:0=
+ raw? ( >=media-libs/libraw-0.15.4:0= )
+ sdl? ( >=media-libs/libsdl-1.2.0 )
+ svg? ( >=gnome-base/librsvg-2.40.6:2 )
+ tiff? ( >=media-libs/tiff-4:0 )
+ umfpack? ( sci-libs/umfpack )
+ v4l? ( >=media-libs/libv4l-1.0.1 )
+ webp? ( >=media-libs/libwebp-0.5.0:= )
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+ dev-lang/perl
+ >=dev-util/gtk-doc-am-1
+ >=sys-devel/gettext-0.19.8
+ >=sys-devel/libtool-2.2
+ virtual/pkgconfig
+ test? ( $(python_gen_any_dep '>=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]') )
+ vala? ( $(vala_depend) )
+"
+
+pkg_setup() {
+ use test && use introspection && python-any-r1_pkg_setup
+}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.3.12-failing-tests.patch
+ "${FILESDIR}"/${PN}-0.4.0-ffmpeg-4-0-compat-1.patch # bug 654172
+ "${FILESDIR}"/${PN}-0.4.0-ffmpeg-4-0-compat-2.patch # bug 654172
+)
+
+src_prepare() {
+ default
+
+ # FIXME: the following should be proper patch sent to upstream
+ # fix OSX loadable module filename extension
+ sed -i -e 's/\.dylib/.bundle/' configure.ac || die
+ # don't require Apple's OpenCL on versions of OSX that don't have it
+ if [[ ${CHOST} == *-darwin* && ${CHOST#*-darwin} -le 9 ]] ; then
+ sed -i -e 's/#ifdef __APPLE__/#if 0/' gegl/opencl/* || die
+ fi
+
+ # commit 7c78497b : tests that use gegl.png are broken on non-amd64
+ sed -e '/clones.xml/d' \
+ -e '/composite-transform.xml/d' \
+ -i tests/compositions/Makefile.am || die
+
+ eautoreconf
+
+ gnome2_environment_reset
+
+ use vala && vala_src_prepare
+}
+
+src_configure() {
+ # never enable altering of CFLAGS via profile option
+ # libspiro: not in portage main tree
+ # disable documentation as the generating is bit automagic
+ # if anyone wants to work on it just create bug with patch
+
+ # Also please note that:
+ #
+ # - Some auto-detections are not patched away since the docs are
+ # not built (--disable-docs, lack of --enable-gtk-doc) and these
+ # tools affect re-generation of docs, only
+ # (e.g. ruby, asciidoc, dot (of graphviz), enscript)
+ #
+ # - Parameter --with-exiv2 compiles a noinst-app only, no use
+ #
+ # - Parameter --disable-workshop disables any use of Lua, effectivly
+ #
+ # - v4l support does not work with our media-libs/libv4l-0.8.9,
+ # upstream bug at https://bugzilla.gnome.org/show_bug.cgi?id=654675
+ #
+ # - There are two checks for dot, one controllable by --with(out)-graphviz
+ # which toggles HAVE_GRAPHVIZ that is not used anywhere. Yes.
+ #
+ # - mrg is not in tree and gexiv2 support only has effect when mrg support
+ # is enabled
+ #
+ # So that's why USE="exif graphviz lua v4l" got resolved. More at:
+ # https://bugs.gentoo.org/show_bug.cgi?id=451136
+ #
+ econf \
+ --disable-docs \
+ --disable-profile \
+ --disable-workshop \
+ --program-suffix=-${SLOT} \
+ --with-gdk-pixbuf \
+ --with-pango \
+ --without-exiv2 \
+ --without-gexiv2 \
+ --without-graphviz \
+ --without-jasper \
+ --without-libspiro \
+ --without-lua \
+ --without-mrg \
+ $(use_enable cpu_flags_x86_mmx mmx) \
+ $(use_enable cpu_flags_x86_sse sse) \
+ $(use_enable debug) \
+ $(use_with cairo) \
+ $(use_with cairo pangocairo) \
+ $(use_with ffmpeg libavformat) \
+ $(use_with lcms) \
+ $(use_with lensfun) \
+ $(use_with openexr) \
+ $(use_with raw libraw) \
+ $(use_with sdl) \
+ $(use_with svg librsvg) \
+ $(use_with tiff libtiff) \
+ $(use_with umfpack) \
+ $(use_with v4l libv4l) \
+ $(use_with v4l libv4l2) \
+ $(use_enable introspection) \
+ $(use_with vala) \
+ $(use_with webp)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2020-06-25 8:08 UTC|newest]
Thread overview: 183+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-25 8:08 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-28 13:02 [gentoo-commits] repo/gentoo:master commit in: media-libs/gegl/ Sam James
2024-12-30 23:41 Sam James
2024-12-27 11:18 Andreas Sturmlechner
2024-12-01 11:54 Sam James
2024-11-08 13:27 Joonas Niilola
2024-11-08 13:27 Joonas Niilola
2024-09-25 13:59 Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-04-14 0:43 Sam James
2024-03-21 2:50 Sam James
2023-12-08 8:46 Arthur Zamarin
2023-12-08 8:41 Arthur Zamarin
2023-08-20 7:16 Joonas Niilola
2023-08-20 7:16 Joonas Niilola
2023-06-28 6:59 Sam James
2023-05-05 13:37 Arthur Zamarin
2023-05-05 13:36 Arthur Zamarin
2023-05-05 12:58 Arthur Zamarin
2023-05-05 10:28 Arthur Zamarin
2023-04-16 0:24 Sam James
2023-02-26 21:23 Sam James
2023-02-24 19:09 Joonas Niilola
2023-02-24 19:09 Joonas Niilola
2023-01-25 17:48 Andreas Sturmlechner
2022-12-23 8:21 Sam James
2022-12-23 8:03 Sam James
2022-12-16 4:30 Sam James
2022-12-01 3:21 WANG Xuerui
2022-11-25 7:52 Sam James
2022-11-21 19:16 Arthur Zamarin
2022-11-21 19:16 Arthur Zamarin
2022-11-07 9:34 Joonas Niilola
2022-11-07 9:15 Joonas Niilola
2022-08-31 22:26 Sam James
2022-07-11 22:50 John Helmert III
2022-07-10 19:13 Sam James
2022-07-09 10:23 Arthur Zamarin
2022-07-09 10:23 Arthur Zamarin
2022-07-09 10:23 Arthur Zamarin
2022-03-01 0:02 Sam James
2022-03-01 0:01 Sam James
2022-02-28 23:56 Sam James
2022-02-27 13:54 Jakov Smolić
2022-02-26 12:08 David Seifert
2022-02-26 11:54 David Seifert
2022-02-26 2:16 Sam James
2022-02-26 2:16 Sam James
2022-02-18 22:58 Sam James
2021-12-24 4:45 Sam James
2021-11-16 2:53 Sam James
2021-10-29 16:05 Sam James
2021-10-29 11:16 Sam James
2021-10-23 13:51 Sam James
2021-09-08 6:38 Sam James
2021-06-09 21:34 Sam James
2021-04-16 5:40 Joonas Niilola
2021-04-11 8:09 Joonas Niilola
2021-04-11 8:09 Joonas Niilola
2021-04-11 8:09 Joonas Niilola
2021-03-11 9:08 Joonas Niilola
2021-02-21 10:19 Andreas Sturmlechner
2021-02-19 17:17 Sam James
2021-02-19 12:11 Sam James
2021-02-18 22:19 Sam James
2021-02-18 21:01 Sam James
2020-12-29 1:54 Sam James
2020-12-29 1:54 Sam James
2020-11-08 12:02 Sam James
2020-11-05 3:38 Georgy Yakovlev
2020-11-05 2:36 Georgy Yakovlev
2020-11-04 13:40 Joonas Niilola
2020-11-04 12:42 Mikle Kolyada
2020-10-31 11:20 Mikle Kolyada
2020-10-20 12:54 Joonas Niilola
2020-10-08 3:07 Sam James
2020-09-23 4:06 Sam James
2020-09-20 22:40 Thomas Deutschmann
2020-07-23 5:15 Kent Fredric
2020-07-21 23:15 Kent Fredric
2020-07-05 8:24 Joonas Niilola
2020-06-25 8:08 Joonas Niilola
2020-05-25 12:17 Mikle Kolyada
2020-05-10 17:42 Mart Raudsepp
2020-05-06 7:18 Sergei Trofimovich
2020-04-30 21:28 Andreas Sturmlechner
2020-04-25 18:28 Mikle Kolyada
2020-04-09 22:02 Sergei Trofimovich
2020-04-07 10:21 Mart Raudsepp
2020-03-18 0:05 Matt Turner
2020-03-05 12:21 Joonas Niilola
2020-01-27 14:25 Agostino Sarubbo
2020-01-27 12:46 Agostino Sarubbo
2020-01-25 22:41 Andreas Sturmlechner
2020-01-25 21:09 Andreas Sturmlechner
2019-12-13 14:27 Joonas Niilola
2019-12-09 16:40 Joonas Niilola
2019-12-08 23:31 Sergei Trofimovich
2019-12-08 13:47 Joonas Niilola
2019-12-08 13:47 Joonas Niilola
2019-11-27 13:33 Mikle Kolyada
2019-11-25 13:51 Aaron Bauman
2019-11-23 0:49 Aaron Bauman
2019-11-20 13:23 Agostino Sarubbo
2019-11-20 11:16 Agostino Sarubbo
2019-11-14 16:10 Lars Wendler
2019-10-28 17:33 Sebastian Pipping
2019-10-13 19:12 Matt Turner
2019-10-13 17:46 Matt Turner
2019-10-13 17:46 Matt Turner
2019-10-12 23:50 Matt Turner
2019-09-26 20:00 Mikle Kolyada
2019-08-28 8:19 David Seifert
2019-07-28 13:53 Mikle Kolyada
2019-07-28 13:53 Mikle Kolyada
2019-07-25 0:25 Aaron Bauman
2019-07-08 12:10 Thomas Deutschmann
2019-06-06 6:58 Agostino Sarubbo
2019-06-05 7:28 Agostino Sarubbo
2019-06-04 13:30 Agostino Sarubbo
2019-05-29 1:32 Aaron Bauman
2019-05-21 3:51 Aaron Bauman
2019-05-20 11:42 Mikle Kolyada
2019-05-16 21:04 Sebastian Pipping
2019-05-15 16:46 Sebastian Pipping
2019-05-15 16:46 Sebastian Pipping
2019-05-08 19:21 Mikle Kolyada
2019-05-08 14:38 Tobias Klausmann
2019-04-25 22:32 Pacho Ramos
2019-04-23 1:33 Aaron Bauman
2019-03-09 16:33 Sebastian Pipping
2018-12-09 21:50 Sebastian Pipping
2018-11-24 12:49 Sergei Trofimovich
2018-11-18 21:06 Sebastian Pipping
2018-10-19 8:51 Michał Górny
2018-09-21 18:05 Michał Górny
2018-08-27 19:56 Sebastian Pipping
2018-08-25 19:17 Sebastian Pipping
2018-08-25 17:12 Sebastian Pipping
2018-07-23 14:27 Sebastian Pipping
2018-07-19 20:41 Sebastian Pipping
2018-05-20 19:10 Andreas Sturmlechner
2018-05-17 19:47 Sebastian Pipping
2018-05-13 16:12 Sebastian Pipping
2018-05-12 20:41 Sergei Trofimovich
2018-04-29 17:57 Sebastian Pipping
2018-04-29 17:50 Sebastian Pipping
2018-04-21 21:20 Sebastian Pipping
2018-04-21 20:56 Sebastian Pipping
2018-03-31 18:01 Sebastian Pipping
2018-03-27 22:14 Sebastian Pipping
2018-03-22 6:07 Markus Meier
2018-03-21 7:39 Sergei Trofimovich
2018-02-22 9:15 Jason Zaman
2018-02-18 21:21 Sergei Trofimovich
2018-01-31 17:39 Sebastian Pipping
2018-01-22 8:31 Sergei Trofimovich
2018-01-20 16:49 Tobias Klausmann
2018-01-17 6:42 Thomas Deutschmann
2018-01-10 22:42 Sebastian Pipping
2018-01-03 19:17 Sebastian Pipping
2017-12-13 19:02 Sebastian Pipping
2017-12-04 20:50 Pacho Ramos
2017-08-23 21:52 Sebastian Pipping
2017-06-07 10:25 Sergei Trofimovich
2017-04-04 21:26 Michael Weber
2017-02-14 20:46 Sebastian Pipping
2016-12-28 11:58 Pacho Ramos
2016-12-26 12:47 Markus Meier
2016-12-25 14:54 Lars Wendler
2016-11-12 23:37 David Seifert
2016-11-10 23:10 Sebastian Pipping
2016-10-11 6:50 Lars Wendler
2016-10-01 13:40 Jeroen Roovers
2016-09-22 9:59 Tobias Klausmann
2016-09-17 14:03 Gilles Dartiguelongue
2016-09-17 8:27 Pacho Ramos
2016-01-31 18:34 Pacho Ramos
2015-12-08 21:54 Sebastian Pipping
2015-12-05 1:42 Sebastian Pipping
2015-12-04 23:03 Sebastian Pipping
2015-09-05 15:50 Pacho Ramos
2015-08-16 16:38 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1593072461.7c4ff77d046df3b24efdf239f543c1a0d6014341.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox